package ca.javajeff.lexan;

/**
 *  An exception that occurs while constructing a <code>Lexan</code> object.
 *
 *  @author Jeff Friesen
 */

public final class LexanException extends Exception
{
   /**
    *  Initialize a lexan exception to a message.
    *
    *  @param msg reason for the exception
    */

   public LexanException(String msg)
   {
      super(msg);
   }
}